Debian Bug report logs - #678229
ITP: tilem -- GTK+ TI Z80 calculator emulator

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Albert Huang <alberth.debian@gmail.com>

Date: Wed, 20 Jun 2012 04:42:02 UTC

Owned by: "Andreas B. Mundt" <andi@debian.org>

Severity: wishlist

Fixed in version tilem/2.0-1

Done: andi@debian.org (Andreas B. Mundt)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#678229; Package wnpp. (Wed, 20 Jun 2012 04:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Albert Huang <alberth.debian@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 20 Jun 2012 04:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Albert Huang <alberth.debian@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: tilem -- GTK+ TI Z80 calculator emulator
Date: Wed, 20 Jun 2012 00:38:40 -0400
Package: wnpp
Severity: wishlist
Owner: Albert Huang <alberth.debian@gmail.com>

* Package name    : tilem
  Version         : 2.0.0
  Upstream Author : TilEm2 <tilem-devel@sourceforge.net>
* URL             : http://lpg.ticalc.org/prj_tilem/
* License         : GPL, LGPL, GFDL
  Programming Lang: C
  Description     : GTK+ TI Z80 calculator emulator
 TilEm is an emulator and debugger for Texas Instruments' Z80-based graphing
 calculators. It can emulate any of the following calculator models:
  * TI-73 / TI-73 Explorer
  * TI-76.fr
  * TI-81
  * TI-82
  * TI-82 STATS / TI-82 STATS.fr
  * TI-83
  * TI-83 Plus / TI-83 Plus Silver Edition / TI-83 Plus.fr
  * TI-84 Plus / TI-84 Plus Silver Edition / TI-84 pocket.fr
  * TI-85
  * TI-86
 TilEm fully supports all known versions of the above calculators (as of 2012),
 and attempts to reproduce the behavior of the original calculator hardware as
 faithfully as possible. In addition, TilEm can emulate the TI-Nspire's virtual
 TI-84 Plus mode. This is currently experimental, and some programs may not
work
 correctly.
 .
 TilEm runs on the X Window System on GNU/Linux and other Unix-like platforms,
 as well as on Microsoft Windows, and any other platform supported by the GTK+
 library. In addition to the emulation, TilEm 2 provide a lot of extra
features,
 such as:
  * Fully featured debugger
  * Grabbing screenshots and recording gif (animations)
  * Virtual linking (through libticables)
  * Flash writing and erasing
  * Application and OS loading
  * Scripting using macros




Added blocking bug(s) of 678229: 678343 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 22 Jun 2012 15:39:59 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Albert Huang <alberth.debian@gmail.com>:
Bug#678229; Package wnpp. (Tue, 21 Aug 2012 00:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "glpk xypron" <xypron.glpk@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Albert Huang <alberth.debian@gmail.com>. (Tue, 21 Aug 2012 00:39:04 GMT) Full text and rfc822 format available.

Message #12 received at 678229@bugs.debian.org (full text, mbox):

From: "glpk xypron" <xypron.glpk@gmx.de>
To: 678229@bugs.debian.org, 678343@bugs.debian.org
Cc: Albert Huang <alberth.debian@gmail.com>
Subject: Copyright
Date: Tue, 21 Aug 2012 02:35:03 +0200
The skins of tilem contain photographs of TI calculators (e.g. file ti86.skn includes a jpeg picture of a TI-86 calculator at offset 0x571).

I assume TI has the copyright for the design of the calculators. Is there no copyright issue in using photographs of these products as skins for non TI software?

Best regards

Heinrich Schuchardt



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#678229; Package wnpp. (Tue, 28 Aug 2012 01:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Albert Huang <alberth.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 28 Aug 2012 01:33:03 GMT) Full text and rfc822 format available.

Message #17 received at 678229@bugs.debian.org (full text, mbox):

From: Albert Huang <alberth.debian@gmail.com>
To: glpk xypron <xypron.glpk@gmx.de>, 678229@bugs.debian.org, 678343@bugs.debian.org
Subject: Re: Bug#678229: Copyright
Date: Mon, 27 Aug 2012 21:28:10 -0400
[Message part 1 (text/plain, inline)]
On Mon, Aug 20, 2012 at 8:35 PM, glpk xypron <xypron.glpk@gmx.de> wrote:

> The skins of tilem contain photographs of TI calculators (e.g. file
> ti86.skn includes a jpeg picture of a TI-86 calculator at offset 0x571).
>
> I assume TI has the copyright for the design of the calculators. Is there
> no copyright issue in using photographs of these products as skins for non
> TI software?
>
> Best regards
>
> Heinrich Schuchardt
>

Hello,

Sorry for the late reply - I've been busy recently, and I assumed that your
email was spam due to the email name until I saw the bug report with the
same email...
I would assume that this usage falls under fair use... but to be sure, I'll
ask upstream about it (CC'ed).
[Upstream: please reply to all emails - my email, the reporter's email, and
CC to the two bug reports.]

Thanks!
Albert
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#678229; Package wnpp. (Tue, 28 Aug 2012 01:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Albert Huang <alberth.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 28 Aug 2012 01:48:03 GMT) Full text and rfc822 format available.

Message #22 received at 678229@bugs.debian.org (full text, mbox):

From: Albert Huang <alberth.debian@gmail.com>
To: glpk xypron <xypron.glpk@gmx.de>, 678229@bugs.debian.org, 678343@bugs.debian.org
Cc: t.duponchelle@gmail.com, benjamin.moody@gmail.com
Subject: Re: Bug#678229: Copyright
Date: Mon, 27 Aug 2012 21:44:50 -0400
[Message part 1 (text/plain, inline)]
On Mon, Aug 20, 2012 at 8:35 PM, glpk xypron <xypron.glpk@gmx.de> wrote:

> The skins of tilem contain photographs of TI calculators (e.g. file
> ti86.skn includes a jpeg picture of a TI-86 calculator at offset 0x571).
>
> I assume TI has the copyright for the design of the calculators. Is there
> no copyright issue in using photographs of these products as skins for non
> TI software?
>
> Best regards
>
> Heinrich Schuchardt
>

Oops, didn't actually CC upstream... let's try that again!

[Upstream: please reply to all emails - my email, the reporter's email, and
CC to the two bug reports.]

Thanks!
Albert
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Albert Huang <alberth.debian@gmail.com>:
Bug#678229; Package wnpp. (Wed, 29 Aug 2012 02:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Moody <benjamin.moody@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Albert Huang <alberth.debian@gmail.com>. (Wed, 29 Aug 2012 02:03:03 GMT) Full text and rfc822 format available.

Message #27 received at 678229@bugs.debian.org (full text, mbox):

From: Benjamin Moody <benjamin.moody@gmail.com>
To: Albert Huang <alberth.debian@gmail.com>
Cc: glpk xypron <xypron.glpk@gmx.de>, 678229@bugs.debian.org, 678343@bugs.debian.org, t.duponchelle@gmail.com
Subject: Re: Bug#678229: Copyright
Date: Tue, 28 Aug 2012 21:59:47 -0400
>> The skins of tilem contain photographs of TI calculators (e.g. file
>> ti86.skn includes a jpeg picture of a TI-86 calculator at offset 0x571).
>>
>> I assume TI has the copyright for the design of the calculators. Is there
>> no copyright issue in using photographs of these products as skins for
>> non
>> TI software?

I don't know; obviously I'm not a lawyer.  If you have any evidence,
one way or the other, as to whether this is legally permissible,
please let us know.

Some things to consider:

- There are many calculator emulators out there, both for TI
calculators and for other brands, and virtually all of them have user
interfaces that mimic the design of the original calculator to some
extent.  Many are based on photographs, others on line drawings or
computer-generated images with varying levels of realism.

- The actual layout of the keyboard (positions of the calculator keys
and the labels on them) would, I think, be considered "functional"
rather than "creative" and therefore not copyrightable.
(Specifically, it could be argued that reproducing the physical
keyboard layout is essential to ensure compatibility with third-party
software.)

- TI is well aware of the existence of third-party emulators (indeed,
TilEm itself was mentioned at one point on the website for the
official TI-83 Plus SDK.)  TI has agressively enforced their
copyrights against people distributing copyrighted ROM images.  I have
never once heard of a complaint concerning the use of a photo of a
calculator, either for use in an emulator or for any other purpose.

- Debian already includes TiEmu, which, like TilEm, includes skins
based on photos of the calculator models it supports.

Benjamin



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Albert Huang <alberth.debian@gmail.com>:
Bug#678229; Package wnpp. (Wed, 21 Aug 2013 13:49:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Albert Huang <alberth.debian@gmail.com>. (Wed, 21 Aug 2013 13:49:05 GMT) Full text and rfc822 format available.

Message #32 received at 678229@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 678229@bugs.debian.org
Cc: control@bugs.debian.org
Subject: tilem: changing back from ITP to RFP
Date: Wed, 21 Aug 2013 15:44:10 +0200
retitle 678229 RFP: tilem -- GTK+ TI Z80 calculator emulator
noowner 678229
tag 678229 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging tilem. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of tilem back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 10 months.

If you are still interested in packaging tilem, please send a mail to
<control@bugs.debian.org> with:

 retitle 678229 ITP: tilem -- GTK+ TI Z80 calculator emulator
 owner 678229 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <678229@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: tilem -- GTK+ TI Z80 calculator emulator' from 'ITP: tilem -- GTK+ TI Z80 calculator emulator' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:54:38 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Albert Huang <alberth.debian@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:54:39 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 04 Oct 2013 08:06:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: tilem -- GTK+ TI Z80 calculator emulator' from 'RFP: tilem -- GTK+ TI Z80 calculator emulator' Request was from "Andreas B. Mundt" <andi@debian.org> to control@bugs.debian.org. (Mon, 07 Oct 2013 12:33:17 GMT) Full text and rfc822 format available.

Owner recorded as "Andreas B. Mundt" <andi@debian.org>. Request was from "Andreas B. Mundt" <andi@debian.org> to control@bugs.debian.org. (Mon, 07 Oct 2013 12:33:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#678229; Package wnpp. (Mon, 07 Oct 2013 12:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andreas B. Mundt" <andi@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 07 Oct 2013 12:48:05 GMT) Full text and rfc822 format available.

Message #47 received at 678229@bugs.debian.org (full text, mbox):

From: "Andreas B. Mundt" <andi@debian.org>
To: 678229@bugs.debian.org
Cc: debian-science-maintainers@lists.alioth.debian.org
Subject: tilem maintained in debian-science
Date: Mon, 7 Oct 2013 14:44:24 +0200
Hi,

sorry for reporting late, I hope nobody started already to work on
the tilem package.

It's going to be maintained in debian-science and is currently sitting
in NEW.

Packaging is done here, everyone is welcome to partitipate:

          http://anonscm.debian.org/gitweb/?p=debian-science/packages/tilem.git


Best regards,

     Andi



Reply sent to andi@debian.org (Andreas B. Mundt):
You have taken responsibility. (Sun, 27 Oct 2013 06:03:38 GMT) Full text and rfc822 format available.

Notification sent to Albert Huang <alberth.debian@gmail.com>:
Bug acknowledged by developer. (Sun, 27 Oct 2013 06:03:38 GMT) Full text and rfc822 format available.

Message #52 received at 678229-close@bugs.debian.org (full text, mbox):

From: andi@debian.org (Andreas B. Mundt)
To: 678229-close@bugs.debian.org
Subject: Bug#678229: fixed in tilem 2.0-1
Date: Sun, 27 Oct 2013 06:00:19 +0000
Source: tilem
Source-Version: 2.0-1

We believe that the bug you reported is fixed in the latest version of
tilem, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678229@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas B. Mundt <andi@debian.org> (supplier of updated tilem package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 03 Oct 2013 22:22:27 +0200
Source: tilem
Binary: tilem tilem-data
Architecture: source amd64 all
Version: 2.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Andreas B. Mundt <andi@debian.org>
Description: 
 tilem      - GTK+ TI Z80 calculator emulator
 tilem-data - GTK+ TI Z80 calculator emulator (data files)
Closes: 678229
Changes: 
 tilem (2.0-1) unstable; urgency=low
 .
   * Initial release (closes: #678229).
Checksums-Sha1: 
 d3ee499ec301f3ed0526092d56e4025ae6b62a50 2110 tilem_2.0-1.dsc
 bac88e725de57ddb13eca1c9bb3994ba85bfe12b 2438290 tilem_2.0.orig.tar.bz2
 b175880779a39f730630998f26c78219a2c120fd 5803 tilem_2.0-1.debian.tar.gz
 bea7933c9e77f6d11b15ee39bf4c2db9e3d66b6c 170194 tilem_2.0-1_amd64.deb
 9bc17216f92087065c3fe23f63aa180a68259eb5 2154856 tilem-data_2.0-1_all.deb
Checksums-Sha256: 
 d3bf58b7751153b14b85143a4899c1bcd52b4e3225d37af6f2735d7f9f90749e 2110 tilem_2.0-1.dsc
 4e752f63477640d72fd8b48ca5acd7a7590f3b29005d603cd59a687a2fce8576 2438290 tilem_2.0.orig.tar.bz2
 3240acfdf8f672c09e8b95558e98f00603983ee14ef78e277b415f276b6e255e 5803 tilem_2.0-1.debian.tar.gz
 a99165e05f65479a3fa72d576102dc866bbce1497f202b012b5d98c2efe97413 170194 tilem_2.0-1_amd64.deb
 18171aaef90c97b41377357e2ffa88fbc780f8e63948a098a529da1d92d62bd0 2154856 tilem-data_2.0-1_all.deb
Files: 
 660511131400d8c5d0053dcf4411730d 2110 math optional tilem_2.0-1.dsc
 cfa9edc10c77e9faf7ff52772e1af1f9 2438290 math optional tilem_2.0.orig.tar.bz2
 9c99ab96f13e6f8ecb4dd2c78ff7a53c 5803 math optional tilem_2.0-1.debian.tar.gz
 7e1ecb3ab37e0323e03296c028f0df46 170194 math optional tilem_2.0-1_amd64.deb
 e4e94a08268e4ff244e2578ad56302c1 2154856 math optional tilem-data_2.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCgAGBQJSTdU5AAoJELAf6oRhe1htoQgP/2FeD3u2QI0xQAtcXG7/zFXS
G7wA4FJiwruVIDSZ7avibDBxX2JigzkkNhw/5MZut7unFIXi/HT9edj+nU69yX0l
MfS1qWHo5RRa8pAFvTdd8qbX981TOUGgJa+qiz8CS4HQeYJDtH6wp2pVOtvkVM/Y
5s/RZNPizwZ6SnZz4IXKyn9q2HSFPjZ4YwL2qf7vNK6qkb67ZmO3trVPbUjak1rA
zeBWFQsqSOtSv3Mac8dKcBaB/0o0u/ybfHrkTiWkHtm3RN6vhSx/+oHYuJ85kqcf
3M+UKkUFOQSRvhD7LgvwRSjRv6IvrboexH/ABte2C7Lpy8M2vNZkATe00mcdK8h5
LvJ+uv4aXfnQUTL2rJwdLy6/7r0RPewD0r3vb7U8epQ+bdTFPAnyXadjZWxjCkGY
6bTYz2JEYSUZHm5yAJItLDsCWCCc4eZJi8h01OkYD2EXJR4Po5sfkmaybbOXOOfn
+jeZGl/kZCijo0LT7YHnL9I1aSo+BZVuqhR4uihyz2bnYMoTqKzaMt8oQNWPApMA
lRp90OvVYtTpZgZhO2jmy1AhtvYrfUP3+vWakvsPWAAFwYY/APzIYTH6EN9ZU0vf
yjQer8jqN1RZ6nUYZ15swDcIOsc60L4Y/i0XsgVKPKMQXdM0FWWHni4DZznzUe/e
2KIhdKyLaXppCSElOOJU
=8OeJ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Nov 2013 07:29:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:52:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.